Support » Plugin: AdRotate - Ad manager & AdSense Ads » Update process from old version

  • Resolved Gerdski

    (@gerdski)


    Hello,

    I have to update the Plugin from Version 3.7.4.2
    On your Support Forum you write (to another user):


    Hello, Versions that old can no longer be easily updated to 5.x.
    Either a custom install script needs to be made or updates have to be done via intermediate versions.

    Can you tell me which intermediate versions have to be used and what has to be done/taken care of? (I can handle PHP and MySQL)

    Thanks 🙂

Viewing 7 replies - 1 through 7 (of 7 total)
  • Thread Starter Gerdski

    (@gerdski)

    I just found another thread, actually started by myself 🙂 some time ago:
    https://wordpress.org/support/topic/error-no-ad-id-set-check-your-syntax-after-update/
    Here you explain how to do it. But I cannot find the intermediate version 4.18.2 for download. Is there another version that would work?

    Thanks!

    Plugin Author Arnan de Gans

    (@adegans)

    Same place as where you got it last time – https://wordpress.org/plugins/adrotate/advanced/

    Thread Starter Gerdski

    (@gerdski)

    Last time I made the mistake of upgrading without intermediate versions. This time i tried to avoid it. Sorry but I cannot find 4.18.2. on this site 🙁

    Thread Starter Gerdski

    (@gerdski)

    No idea where to get 4.1.18?
    Maybe a different Version will do?

    Thread Starter Gerdski

    (@gerdski)

    There seems to be a misunderstanding here. I need to update from 3.7.4.2 to the newest version. You told me that it has to be done not directly but by intermediate Versions:


    Versions of AdRotate that old can no longer be updated without doing some ‘in-between’ updates.
    For example to version 4.0, 4.18.2, 5.0 and then to the latest version.

    But 4.18.2 does not exist, so I cannot work with your solution 🙁

    Plugin Author Arnan de Gans

    (@adegans)

    Hi, somehow I lost track of this and another topic… so stupid late reply.
    And yes, there is no version 4.18.2 for AdRotate, that’s a pro version.

    So that’s confusing for your solution 😞
    Anyway the idea is that you grab an early and last version of each major version as intermediate versions. So for example – 4.0 then 4.15.x then 5.0 and so on.

    The early version isn’t really required, but I find it helps with the major version bump to eliminate the one in a million chance of that being an issue. One or 2 extra in-between updates is always faster than fixing a borked database because of old data or poor maintenance/old code or whatever quirks may lurk on your website/server.

    Thread Starter Gerdski

    (@gerdski)

    That would have been the answer we were looking for a month ago.
    But, since we could not reach you, we had no chance but do a complete reinstall of the current version. That worked, because there were not many active ads.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.